Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### min()

Examples

    int d = min(5, 9);            // Sets "d" to 5
    int e = min(-4, -12);         // Sets "e" to -12
    float f = min(12.3, 230.24);  // Sets "f" to 12.3

    int[] list = { 5, 1, 2, -3 };
    int h = min(list);            // Sets "h" to -3

Description | Determines the smallest value in a sequence of numbers.

Syntax

    min(value1, value2)
    min(value1, value2, value 3)
    min(array)

Parameters

value1 | int or float
value2 | int or float
value3 | int or float
array | int or float array

Returns | int or float (depending on the inputs)
Usage | Web & Application
Related | max()

Updated on November 22, 2008 08:39:25pm PST